Retail Express API 2.1

Creates Freight Type

Sample request:

 POST /freighttypes
 {
     "name": "Freight Type Name",
 }
post
https://api.retailexpress.com.au/v2.1/freighttypes

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Freight Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Freight Type created

FreightType

Freight Type Model

* Additional properties are NOT allowed.
namestringrequired

Freight Type name.

>= 0 characters<= 100 characters

idinteger | null(int32)

Freight Type Id.

deletedboolean

Is Freight Type deleted (enabled/disabled)?.

modified_onstring(date-time)

Modified on

post/freighttypes

Body

{}
 
application/json

Searches Freight Types by parameters

Searches Freight Types by parameters

get
https://api.retailexpress.com.au/v2.1/freighttypes

Query Parameters

namestring | null

Freight type name.

>= 0 characters<= 100 characters

deletedboolean | null

Is freight type deleted.

modified_sincestring | null(date-time)

Freight type modified since date and time.

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Freight Types data

FreightType.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Freight Type Model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/freighttypes
 
application/json

Deletes specific Freight Type by id

Deletes specific Freight Type by id

delete
https://api.retailexpress.com.au/v2.1/freighttypes/{id}

Path Parameters

idinteger(int32)required

Freight Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

Freight Type deleted

delete/freighttypes/{id}
 

Gets specific Freight Type by unique id

Gets specific Freight Type by unique id

get
https://api.retailexpress.com.au/v2.1/freighttypes/{id}

Path Parameters

idinteger(int32)required

Freight Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Freight Type

FreightType

Freight Type Model

* Additional properties are NOT allowed.
namestringrequired

Freight Type name.

>= 0 characters<= 100 characters

idinteger | null(int32)

Freight Type Id.

deletedboolean

Is Freight Type deleted (enabled/disabled)?.

modified_onstring(date-time)

Modified on

get/freighttypes/{id}
 
application/json

Updates Freight Type

Sample request:

 PUT /freighttypes
 {
     "name": "Freight Type Name"
 }
put
https://api.retailexpress.com.au/v2.1/freighttypes/{id}

Path Parameters

idinteger(int32)required

Freight Type id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Freight Type model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Freight Type

FreightType

Freight Type Model

* Additional properties are NOT allowed.
namestringrequired

Freight Type name.

>= 0 characters<= 100 characters

idinteger | null(int32)

Freight Type Id.

deletedboolean

Is Freight Type deleted (enabled/disabled)?.

modified_onstring(date-time)

Modified on

put/freighttypes/{id}

Body

{}
 
application/json